export declare class Stats {
    totalFiles: number;
    totalLines: number;
    numSoakOperations: number;
    numSoakedMemberAccesses: number;
    numSoakedDynamicMemberAccesses: number;
    numSoakedFunctionApplications: number;
    numSoakedNew: number;
    numNonTrivialSoakContainers: number;
    numNonTrivialSoakContainersExcludingMethods: number;
    numSoakedAssignments: number;
    numSoakedDeletes: number;
    numSignificantParens: number;
    numChainedSoakOperations: number;
    exampleContents: string;
    format(): string;
}
export declare function collectStats(source: string, stats: Stats, path: string): void;
