import SourceTokenList from 'coffee-lex/dist/SourceTokenList';
import { Node } from 'decaffeinate-parser/dist/nodes';
export declare function isSoakOperation(node: Node | null): boolean;
/**
 * Determine if this is the soaked operand of a soak container.
 * In other words, the `a` in `a?.b`, `a?[b]`, or `a?(b, c)`.
 */
export declare function isSoakedExpression(node: Node): boolean;
export declare function findSoakContainer(node: Node, tokens: SourceTokenList, {ignoreParens}?: {
    ignoreParens?: boolean;
}): Node;
